RDKit::MolOps::AdjustQueryParameters Struct Reference

`#include <MolOps.h>`

## Public Member Functions

| AdjustQueryParameters ()

## Public Attributes

bool | adjustDegree
AdjustQueryWhichFlags | adjustDegreeFlags
bool | adjustRingCount
AdjustQueryWhichFlags | adjustRingCountFlags
bool | makeDummiesQueries

## Detailed Description

Definition at line 250 of file MolOps.h.

## Constructor & Destructor Documentation

## AdjustQueryParameters()

RDKit::MolOps::AdjustQueryParameters::AdjustQueryParameters | ( |  | ) |

inline

Definition at line 259 of file MolOps.h.

References RDKit::MolOps::adjustQueryProperties(), and RDKit::MolOps::renumberAtoms().

## Member Data Documentation

## adjustDegree

bool RDKit::MolOps::AdjustQueryParameters::adjustDegree

add degree queries

Definition at line 251 of file MolOps.h.

## adjustDegreeFlags

AdjustQueryWhichFlags RDKit::MolOps::AdjustQueryParameters::adjustDegreeFlags

Definition at line 252 of file MolOps.h.

## adjustRingCount

bool RDKit::MolOps::AdjustQueryParameters::adjustRingCount

add ring-count queries

Definition at line 253 of file MolOps.h.

## adjustRingCountFlags

AdjustQueryWhichFlags RDKit::MolOps::AdjustQueryParameters::adjustRingCountFlags

Definition at line 254 of file MolOps.h.

## makeDummiesQueries

bool RDKit::MolOps::AdjustQueryParameters::makeDummiesQueries

convert dummy atoms without isotope labels to any-atom queries

Definition at line 256 of file MolOps.h.

The documentation for this struct was generated from the following file:

- MolOps.h